# main.tf defines the main resources of the module.

resource "google_secret_manager_secret" "secret" {
  project   = var.project
  secret_id = var.secret_id

  replication {
    user_managed {
      replicas {
        location = var.region
      }
    }
  }
}

resource "google_secret_manager_secret_version" "secret" {
  count = var.secret_data == null ? 0 : 1

  secret      = google_secret_manager_secret.secret.id
  secret_data = var.secret_data
}

moved {
  from = google_secret_manager_secret_version.secret
  to   = google_secret_manager_secret_version.secret[0]
}

resource "google_secret_manager_secret_iam_member" "secret_accessors" {
  for_each = var.secret_accessors

  role      = "roles/secretmanager.secretAccessor"
  secret_id = google_secret_manager_secret.secret.id
  member    = each.value
}
