# variables.tf defines inputs for the module.

variable "project" {
  description = "Project containing the secret."
}

variable "region" {
  description = "Restrict secret to this region"
  type        = string
}

variable "secret_id" {
  description = "Secret name"
  type        = string
}

variable "secret_data" {
  description = "Payload for secret. If omitted, the secret will be created with no versions."
  type        = string
  default     = null
}

variable "secret_accessors" {
  description = <<EOI
A map of members to grant the secretmanager.secretAccessor role to.

This must be in the format {<arbitrary_key_name> = <member email>}
EOI
  type        = map(string)
  default     = {}
}
